﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace InstallManager.Msi
{
    [Flags]
    public enum MsiUIFlags : long
    {
        MB_ABORTRETRYIGNORE = 0x2,
        MB_DEFAULT_DESKTOP_ONLY = 0x20000,
        MB_DEFBUTTON1 = 0x0,
        MB_DEFBUTTON2 = 0x100,
        MB_DEFBUTTON3 = 0x200,
        MB_DEFMASK = 0xF00,
        MB_ICONASTERISK = 0x40,
        MB_ICONEXCLAMATION = 0x30,
        MB_ICONHAND = 0x10,
        MB_ICONINFORMATION = MB_ICONASTERISK,
        MB_ICONMASK = 0xF0,
        MB_ICONQUESTION = 0x20,
        MB_ICONSTOP = MB_ICONHAND,
        MB_MISCMASK = 0xC000,
        MB_MODEMASK = 0x3000,
        MB_NOFOCUS = 0x8000,
        MB_OK = 0x0,
        MB_OKCANCEL = 0x1,
        MB_RETRYCANCEL = 0x5,
        MB_SETFOREGROUND = 0x10000,
        MB_SYSTEMMODAL = 0x1000,
        MB_TASKMODAL = 0x2000,
        MB_TYPEMASK = 0xF,
        MB_YESNO = 0x4,
        MB_YESNOCANCEL = 0x3,
    }

    public enum MsiUIReturnValues
    {
        IDOK = 1,
        IDCANCEL = 2,
        IDABORT = 3,
        IDRETRY = 4,
        IDIGNORE = 5,
        IDYES = 6,
        IDNO = 7,
        Ignored = 0
    }
}
